#
# spec file for package pidgin-xmpp-receipts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _hash   ckA6jCV5Kr4OkjacwqjQXA
%define soname  xmpp-receipts
Name:           pidgin-xmpp-receipts
Version:        0.6
Release:        1.1
Summary:        Implementation of XMPP message delivery receipts for Pidgin
License:        GPL-3.0+
Group:          Productivity/Networking/Instant Messenger
Url:            https://app.assembla.com/spaces/pidgin-xmpp-receipts
Source:         https://assembla.com/spaces/pidgin-xmpp-receipts/documents/%{_hash}/download/%{_hash}#/%{name}-%{version}.tar.gz
BuildRequires:  gtk2-devel
BuildRequires:  pidgin-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This plugin for Pidgin implements XMPP message delivery receipts (XEP-0184).

%package -n pidgin-plugin-xmpp-receipts
Summary:        Implementation of XMPP message delivery receipts for Pidgin
Group:          Productivity/Networking/Instant Messenger
# pidgin-xmpp-receipts was last used in openSUSE Leap 42.2.
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release}
%requires_ge    pidgin

%description -n pidgin-plugin-xmpp-receipts
This plugin for Pidgin implements XMPP message delivery receipts (XEP-0184).

%prep
%setup -q

%build
make %{?_smp_mflags} V=1

%install
install -Dpm 0644 %{soname}.so \
  %{buildroot}%{_libdir}/pidgin/%{soname}.so

%files -n pidgin-plugin-xmpp-receipts
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/pidgin/%{soname}.so

%changelog
* Fri Dec 16 2016 sor.alexei@meowr.ru
- Rename the pidgin-xmpp-receipts to pidgin-plugin-xmpp-receipts.
- Require Pidgin of the exact or greater version.
* Thu Jan 30 2014 sor.alexei@meowr.ru
- Initial package.
